NestedRootTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.NestedRootTag,NestedRootTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedRootTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.nested.NestedRootTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, NestedNameSupport, NestedPropertySupport, NestedTagSupport, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class NestedRootTag
extends javax.servlet.jsp.tagext.BodyTagSupport
implements NestedNameSupport

NestedRootTag. The only other addition in this nested suite of tags. This tag allows for a nested structure to start without relying on the bean and workings of the FormTag. Useful for view pages that don't update when returning to the server, or use hyperlinks rather than form submits. The Bean that it uses can come out of a jsp:useBean tag or define another bean that's already in scope. As long as the other Struts tags can find the bean by name, it'll work. It's simply recognised by the helper class and it's property is added to the nesting list.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `name`
`private java.lang.String` | `originalName`
`private java.lang.String` | `originalNesting`
`private java.lang.String` | `originalNestingName`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedRootTag()`

Method Summary
`int` | `doAfterBody()` Render the resulting content evaluation.
`int` | `doEndTag()` Evaluate the rest of the page
`int` | `doStartTag()` Overriding method of the heart of the tag.
`java.lang.String` | `getName()` Getter method for the name property
`java.lang.String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setName(java.lang.String name)` Setter method for the name property
`void` | `setProperty(java.lang.String property)` Setter method for the property property

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### name

    private java.lang.String name

### originalName

    private java.lang.String originalName

### originalNesting

    private java.lang.String originalNesting

### originalNestingName

    private java.lang.String originalNestingName

Constructor Detail

### NestedRootTag

    public NestedRootTag()

Method Detail

### getProperty

    public java.lang.String getProperty()

  Getter method for the property property

  Specified by:
    `getProperty` in interface `NestedPropertySupport`
  Returns:
    String value of the property property

### setProperty

    public void setProperty(java.lang.String property)

  Setter method for the property property

  Specified by:
    `setProperty` in interface `NestedPropertySupport`
  Parameters:
    `property` - new value for the property property

### getName

    public java.lang.String getName()

  Getter method for the name property

  Specified by:
    `getName` in interface `NestedNameSupport`
  Returns:
    String value of the name property

### setName

    public void setName(java.lang.String name)

  Setter method for the name property

  Specified by:
    `setName` in interface `NestedNameSupport`
  Parameters:
    `name` - new value for the name property

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Render the resulting content evaluation.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Evaluate the rest of the page

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int JSP continuation directive.
    `javax.servlet.jsp.JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation